--------------------------------------------------------------------
-- s_first.lua
-- シーン開始時の処理
--
-- author IZUMI STUDIO
-- date
--------------------------------------------------------------------
require(".\\scripts\\menu\\s_common")

-- 各オブジェクト生成
require(".\\scripts\\menu\\s_create_select_mode_gui")
require(".\\scripts\\menu\\s_create_select_difficulty_gui")
require(".\\scripts\\menu\\s_create_select_flower")
require(".\\scripts\\menu\\s_create_records")

-- カーソル移動先ポイント初期化
require(".\\scripts\\menu\\s_init_destpos_select_mode")

-- BGM 再生
Scene.ControlStreamSound( 0, SCONTROL_STOP, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_CLEAR, 0, "" )
Scene.ControlStreamSound( 0, SCONTROL_PUSH_SOUND, 0, "sounds\\mb00010009.ogg" )
Scene.ControlStreamSound( 0, SCONTROL_PLAY, SCONTROL_LOOP_ONE, "" )

-- 各表示オブジェクト
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_flower.lua" )
Scene.ExecEffectScript( 0, ".\\scripts\\menu\\e_first.lua" )

-- カメラの移動
Scene.SetCamera(
	 0,
	 0.0, 0.0, 0.0,
	-3.1415 * 0.0 / 180.0,
	-3.1415 * 0.0 / 180.0,
	 3.1415 * 0.0 / 180.0,
	 INTERPOLATION_EASE_OUT,
	 20 )

-- 各種変数設定
Scene.SetEnvParameterInt( 0, "IsDemoMode", 0 )


-----------------------------------------------------------------
-- UI の表示/非表示
-----------------------------------------------------------------

-- Select Mode
Scene.SetVisible_Bar( 0, 0, 1 ) ; -- 1 Player
Scene.SetVisible_Bar( 0, 1, 1 ) ; -- 2 Players
Scene.SetVisible_Bar( 0, 2, 1 ) ; -- Records
Scene.SetVisible_Bar( 0, 3, 1 ) ; -- Return

-- Select Difficulty
Scene.SetVisible_Bar( 0, 4, 0 ) ; -- Com1
Scene.SetVisible_Bar( 0, 5, 0 ) ; -- Com2
Scene.SetVisible_Bar( 0, 6, 0 ) ; -- Com3
Scene.SetVisible_Bar( 0, 7, 0 ) ; -- Com4
Scene.SetVisible_Bar( 0, 8, 0 ) ; -- Com5
Scene.SetVisible_Bar( 0, 9, 0 ) ; -- Return

-- Select Flower
Scene.SetVisible_Bar( 0, 10, 0 ) ; -- Flower1
Scene.SetVisible_Bar( 0, 11, 0 ) ; -- Flower2
Scene.SetVisible_Bar( 0, 12, 0 ) ; -- Return

-- Records
Scene.SetVisible_Plate( 0, 0, 0 ) ;
Scene.SetVisible_Bar( 0, 13, 0 ) ; -- Return





